FROM node:22-alpine

WORKDIR /app

COPY package.json package-lock.json ./
RUN npm config set registry https://package-mirror.liara.ir/repository/npm/ \
 && npm ci --no-audit --no-fund --legacy-peer-deps --maxsockets 2

COPY . .

EXPOSE 3001

CMD ["node", "server.js"]
